## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUBridge Class Reference

`#include <ICUBridge.hpp>`

List of all members.

## Static Public Methods

- const UnicodeString XalanDOMCharStringToUnicodeString (const XalanDOMChar* theString)
- const UnicodeString XalanDOMCharStringToUnicodeString ( const XalanDOMChar* theString, XalanDOMString::size_type theLHSLength)
- const UnicodeString XalanDOMStringToUnicodeString (const XalanDOMString& theString)
- const XalanDOMString UnicodeStringToXalanDOMString (const UnicodeString& theString)
- void UnicodeStringToXalanDOMString ( const UnicodeString& theString, XalanDOMString& theResult)
- unsigned long FormatNumber ( const XalanDOMString& thePattern, double theNumber, const XalanDecimalFormatSymbols* theXalanDFS, XalanDOMString& theResult)

## Member Function Documentation

unsigned long ICUBridge::FormatNumber ( | const XalanDOMString & thePattern,
| double theNumber,
| const XalanDecimalFormatSymbols * theXalanDFS,
| XalanDOMString & theResult )`[static]`

void ICUBridge::UnicodeStringToXalanDOMString ( | const UnicodeString & theString,
| XalanDOMString & theResult )`[static]`

const XalanDOMString ICUBridge::UnicodeStringToXalanDOMString ( | const UnicodeString & theString )`[static]`

const UnicodeString ICUBridge::XalanDOMCharStringToUnicodeString ( | const XalanDOMChar * theString,
| XalanDOMString::size_type theLHSLength )`[static]`

const UnicodeString ICUBridge::XalanDOMCharStringToUnicodeString ( | const XalanDOMChar * theString )`[static]`

const UnicodeString ICUBridge::XalanDOMStringToUnicodeString ( | const XalanDOMString & theString )`[static]`

The documentation for this class was generated from the following file:

- ICUBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.